curl --request DELETE \
--url https://api.instantly.ai/api/v2/crm-actions/phone-numbers/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/crm-actions/phone-numbers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/crm-actions/phone-numbers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.delete("https://api.instantly.ai/api/v2/crm-actions/phone-numbers/{id}")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/crm-actions/phone-numbers/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/crm-actions/phone-numbers/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "01a082d0-83a5-7387-a69e-38e138891d7c",
"timestamp_created": "2026-09-08T20:58:18.405Z",
"organization_id": "01a082d0-83a5-7387-a69e-38e2bb4bc21f",
"phone_number": "+15551234567",
"country": "US",
"locality": "San Francisco",
"subscription_id": "sub_1PuaE1B3VEKBA0ygDAKk7QVc",
"twilio_sid": "PN998dda028e07a49c8038b2206341d463"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Delete phone number
Delete a specific phone number from the organization.
Requires one of the following scopes: crm_actions:delete, crm_actions:all, all:delete, all:all
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The phone number record id to delete
"01a082d0-83a5-7387-a69e-38e0621d75a4"
Response
Default Response
Unique identifier of the deleted phone number record.
"01a082d0-83a5-7387-a69e-38e138891d7c"
Timestamp when the deleted record was originally created.
"2026-09-08T20:58:18.405Z"
Identifier of the organization that owned the phone number.
"01a082d0-83a5-7387-a69e-38e2bb4bc21f"
The deleted phone number.
"+15551234567"
Country code of the deleted phone number.
"US"
Region or city associated with the deleted phone number.
"San Francisco"
Billing subscription ID associated with this number (if any).
"sub_1PuaE1B3VEKBA0ygDAKk7QVc"
Twilio SID of the deleted number.
"PN998dda028e07a49c8038b2206341d463"